--[[--------------------------------------------------------------------------------------------------------------

Mario character by Nintendo animated by Toenail and converted by GrayFace

Script for player and hologram frames and shape replacement by Sergey "GrayFace" Rozhenko

--]]--------------------------------------------------------------------------------------------------------------

local Path = path.dir(debug.FunctionFile(1))

UmbrellaOffsetX, UmbrellaOffsetY = 0, -2

Objects.PlayerPos:LoadFrame{Path.."PlayerPos.png", Direction = 0, ActionX = 19, ActionY = 17, HotSpotX = 12, HotSpotY = 17, TransparentColor = 0}
Objects.PlayerPos:LoadFrame{Path.."PlayerPos.png", Direction = 16, ActionX = 5, ActionY = 17, HotSpotX = 12, HotSpotY = 17, TransparentColor = 0}

ReplaceGraphics({
	BaseIndex = 1,
	TransparentColor = 0,
	{HotSpotX = 12, HotSpotY = 12, ActionX = 11, ActionY = 17},
	Path.."Player_0_stopped_1.png",
	Path.."Player_0_walking_01.png",
	Path.."Player_0_walking_02.png",
	Path.."Player_0_walking_03.png",
	Path.."Player_0_walking_04.png",
	Path.."Player_0_walking_05.png",
	Path.."Player_0_walking_06.png",
	Path.."Player_0_walking_07.png",
	Path.."Player_0_walking_08.png",
	Path.."Player_0_walking_09.png",
	Path.."Player_0_walking_10.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 17},
	Path.."Player_0_running_01.png",
	Path.."Player_0_running_02.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 16},
	Path.."Player_0_running_03.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 15},
	Path.."Player_0_running_04.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 17},
	Path.."Player_0_running_05.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 18},
	Path.."Player_0_running_06.png",
	Path.."Player_0_running_07.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 17},
	Path.."Player_0_running_08.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 15},
	Path.."Player_0_running_09.png",
	Path.."Player_0_running_10.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 17},
	Path.."Player_0_running_11.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 18},
	Path.."Player_0_running_12.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 10, ActionY = 18},
	Path.."Player_0_jumping_1.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 10, ActionY = 16},
	Path.."Player_0_jumping_2.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 11, ActionY = 16},
	Path.."Player_0_jumping_3.png",
	Path.."Player_0_jumping_4.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 11, ActionY = 17},
	Path.."Player_0_jumping_5.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 11, ActionY = 16},
	Path.."Player_0_falling_01.png",
	Path.."Player_0_falling_02.png",
	Path.."Player_0_falling_03.png",
	Path.."Player_0_falling_04.png",
	Path.."Player_0_falling_05.png",
	Path.."Player_0_falling_06.png",
	Path.."Player_0_falling_07.png",
	Path.."Player_0_falling_08.png",
	Path.."Player_0_falling_09.png",
	Path.."Player_0_falling_10.png",
	Path.."Player_0_falling_11.png",
	Path.."Player_0_falling_12.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 14, ActionY = 17},
	Path.."Player_0_climbing_1.png",
	Path.."Player_0_climbing_2.png",
	Path.."Player_0_climbing_3.png",
	Path.."Player_0_climbing_4.png",
	Path.."Player_0_climbing_5.png",
	Path.."Player_0_climbing_6.png",
	Path.."Player_0_climbing_7.png",
	{HotSpotX = 12, HotSpotY = 12, ActionX = 15, ActionY = 17},
	Path.."Player_0_slide_1.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 12, ActionY = 17},
	Path.."Player_16_stopped_1.png",
	Path.."Player_16_walking_01.png",
	Path.."Player_16_walking_02.png",
	Path.."Player_16_walking_03.png",
	Path.."Player_16_walking_04.png",
	Path.."Player_16_walking_05.png",
	Path.."Player_16_walking_06.png",
	Path.."Player_16_walking_07.png",
	Path.."Player_16_walking_08.png",
	Path.."Player_16_walking_09.png",
	Path.."Player_16_walking_10.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 17},
	Path.."Player_16_running_01.png",
	Path.."Player_16_running_02.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 16},
	Path.."Player_16_running_03.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 15},
	Path.."Player_16_running_04.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 17},
	Path.."Player_16_running_05.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 18},
	Path.."Player_16_running_06.png",
	Path.."Player_16_running_07.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 17},
	Path.."Player_16_running_08.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 15},
	Path.."Player_16_running_09.png",
	Path.."Player_16_running_10.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 17},
	Path.."Player_16_running_11.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 11, ActionY = 18},
	Path.."Player_16_running_12.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 13, ActionY = 18},
	Path.."Player_16_jumping_1.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 13, ActionY = 16},
	Path.."Player_16_jumping_2.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 12, ActionY = 16},
	Path.."Player_16_jumping_3.png",
	Path.."Player_16_jumping_4.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 12, ActionY = 17},
	Path.."Player_16_jumping_5.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 12, ActionY = 16},
	Path.."Player_16_falling_01.png",
	Path.."Player_16_falling_02.png",
	Path.."Player_16_falling_03.png",
	Path.."Player_16_falling_04.png",
	Path.."Player_16_falling_05.png",
	Path.."Player_16_falling_06.png",
	Path.."Player_16_falling_07.png",
	Path.."Player_16_falling_08.png",
	Path.."Player_16_falling_09.png",
	Path.."Player_16_falling_10.png",
	Path.."Player_16_falling_11.png",
	Path.."Player_16_falling_12.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 9, ActionY = 17},
	Path.."Player_16_climbing_1.png",
	Path.."Player_16_climbing_2.png",
	Path.."Player_16_climbing_3.png",
	Path.."Player_16_climbing_4.png",
	Path.."Player_16_climbing_5.png",
	Path.."Player_16_climbing_6.png",
	Path.."Player_16_climbing_7.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 8, ActionY = 17},
	Path.."Player_16_slide_1.png",
}, Objects.Player)

ReplaceHologramGraphics({
	BaseIndex = 1,
	TransparentColor = 0,
	{HotSpotX = 12, HotSpotY = 12, ActionX = 11, ActionY = 17},
	Path.."Holoplayer_0_stopped_1.png",
	Path.."Holoplayer_0_stopped_2.png",
	{HotSpotX = 11, HotSpotY = 12, ActionX = 12, ActionY = 17},
	Path.."Holoplayer_16_stopped_1.png",
	Path.."Holoplayer_16_stopped_2.png",
})
