--[[--------------------------------------------------------------------------------------------------------------

Manage Custom Characters

Script by Sergey "GrayFace" Rozhenko

Creates:
LoadCharacter(name) function
DefaultCharacter variable

--]]--------------------------------------------------------------------------------------------------------------

local Path = path.dir(debug.FunctionFile(1))

local Sounds = {
	[20] = "/Hologram A.wav",
	[21] = "/Hologram B.wav",
	[24] = "/Into Smoke.ogg",
	[25] = "/Knytt Climb.wav",
	[26] = "/Knytt Double Jump.wav",
	[27] = "/Knytt Jump.wav",
	[28] = "/Knytt Land.wav",
	[29] = "/Knytt Run.wav",
	[30] = "/Knytt Slide.wav",
	[31] = "/Knytt Walk.wav",
	[58] = "/Umbrella A.wav",
	[59] = "/Umbrella B.wav",
}
local SoundsRep = {}

function events.global.ReplaceSound(id)
	ReplaceSound = SoundsRep[id] or ReplaceSound
end


DefaultCharacter = "Juni"
DefaultUmbrella = "UJuni"
local LoadedCharacter = "juni"
local LoadedUmbrella = "ujuni"

local function LoadUmbrella(name)
	if not path.isfile(Path..name.."/load.lua") then
		name = DefaultUmbrella:lower()
	end
	if name ~= LoadedUmbrella then
		LoadedUmbrella = name
		dofile(Path..name.."/load.lua")
	end
end

function LoadCharacter(name)
	vars.CustomCharacter = name
	name = (name or DefaultCharacter):lower()
	if name ~= LoadedCharacter then
		LoadedCharacter = name
		LoadUmbrella("u"..name)
		local Path = Path..name
		dofile(Path.."/load.lua")
		SoundsRep = {}
		for k, v in pairs(Sounds) do
			if path.isfile(Path..v) then
				SoundsRep[k] = Path..v
			end
		end
	end
	LoadUmbrella("u"..name)
end

function events.global.LoadGame()
	LoadCharacter(vars.CustomCharacter)
end
