--[[--------------------------------------------------------------------------------------------------------------

Darkness

Template object by Sergey "GrayFace" Rozhenko

Parameters:
1) Template index
2) (optional) X offset from default position
3) (optional) Y offset from default position
4) (optional) Set to 'true' to make the darkness stay in its layer. Otherwise it appears on top of everything.

--]]--------------------------------------------------------------------------------------------------------------

assert(Version >= 155, "This level requires a newer version of KS Ex")

local TemplateIndex, dx, dy, NotOnTop = ...

local Path = path.dir(debug.FunctionFile(1))
ReplaceGraphics({Path.."Darkness.png", HotSpotX = 650 - (dx or 0), HotSpotY = 305 - (dy or 0), TransparentColor = 50},
	254, assert(TemplateIndex))

events.global["NewTemplate"..TemplateIndex] = function(o)
	o:event("DrawFrame", function()
		if o.ID then
			if not NotOnTop then
				o:MoveToFront()
			end
			o:SetPosition(Objects.PlayerPos:GetPosition())
			o:Update()
		end
	end)
end
