--[[--------------------------------------------------------------------------------------------------------------

Force Key

Template object by Sergey "GrayFace" Rozhenko. Idea and icon by egomassive from KS+.
Simulates press of the specified key.

Parameters:
1) Template index
2) Key
3) Value
4) Oneshot

--]]--------------------------------------------------------------------------------------------------------------

assert(Version >= 157, "This level requires a newer version of KS Ex")

local TemplateIndex, Key, Value, Oneshot = ...

local Path = path.dir(debug.FunctionFile(1))
ReplaceGraphics({TransparentColor = 0xFFFFFF, Path.."ForceA.png"}, 254, assert(TemplateIndex))

local ObjCount = 0
local Overlaps

local function update()
	if Objects.PlayerPos:FindTemplateOverlap(TemplateIndex) then
		local k = Objects.KBD
		if not Oneshot or not Overlaps then
			k[Key] = Value
		end
		if Key == "JumpOneshot" then
			k.Jump = 1
		end
		Overlaps = true
	else
		Overlaps = false
	end
end

function events.global.DestroyObject(o)
	if o.Bank == 254 and o.Obj == TemplateIndex then
		ObjCount = ObjCount - 1
		if ObjCount == 0 then
			events.global.Remove("KeysFilter", update)
			Overlaps = false
		end
	end
end

events.global["NewTemplate"..TemplateIndex] = function(o)
	if ObjCount == 0 then
		events.global.KeysFilter = update
	end
	ObjCount = ObjCount + 1
	o:SetVisibility(false)
end
