--[[--------------------------------------------------------------------------------------------------------------

Jump-through Platform

Template object by Sergey "GrayFace" Rozhenko, uses graphics from Knytt Stories Advanced by BloxMaster

Parameters:
1) Template index
2) Relative Y coordinate of player at which the object becomes solid (defaults to -18)

--]]--------------------------------------------------------------------------------------------------------------

assert(Version >= 155, "This level requires a newer version of KS Ex")

local TemplateIndex, BaseLine, Invisible = ...
BaseLine = BaseLine or -18

local Path = path.dir(debug.FunctionFile(1))
ReplaceGraphics({Path.."Platform.png", TransparentColor = 0xFF00FF}, 254, assert(TemplateIndex))

events.global["NewTemplate"..TemplateIndex] = function(o)
	o:SetVisibility(not Invisible)
	local function update()
		o.Solid = (Objects.PlayerPos:GetY() < o:GetY() + BaseLine) and 1 or 0
	end
	update()
	o:event("Timer", update)
end
