--[[--------------------------------------------------------------------------------------------------------------

Map Power

Template object by Sergey "GrayFace" Rozhenko, graphics by egomassive (from Knytt Stories Plus)

Parameters:
1) Template index

--]]--------------------------------------------------------------------------------------------------------------

assert(Version >= 155, "This level requires a newer version of KS Ex")

local TemplateIndex = ...

AnimateObjects(nil, {0, 7, Loop = true, Delay = 2}, 254, TemplateIndex)
local Path = path.dir(debug.FunctionFile(1))
local power = NewPower("MapPower", TemplateIndex)
MovePower(power, 8)
ReplaceGraphics({Path.."MapPower", 1, 8, BaseIndex = 1}, 254, TemplateIndex)

function events.global.LoadGame()
	MapShowAll = vars.MapPower
end

events.global["NewTemplate"..TemplateIndex] = function(o)
	if vars.MapPower then
		o:Destroy()
	else
		local function update()
			if o:CheckOverlap(Objects.PlayerPos) then
				vars.MapPower = true
				MapShowAll = true
				PickUpLight(o:GetPosition())
				o:Destroy()
				PlaySound(41)
				UpdateMap()
			end			
		end
		o:event("Timer", update)
		update()
	end
end
