--[[--------------------------------------------------------------------------------------------------------------

Moving Bouncer

Template object by Sergey "GrayFace" Rozhenko, based on 10:8 bouncer by Nifflas

Parameters:
1) Template index
2) Delay, the opposite of speed at which the bouncer moves right and left (defaults to 2)

--]]--------------------------------------------------------------------------------------------------------------

assert(Version >= 157, "This level requires a newer version of KS Ex")

local TemplateIndex, Delay = ...
Delay = Delay or 2

local Path = path.dir(debug.FunctionFile(1))

local overlay = GraphicsOverlay{
	BaseIndex = 1,
	{HotSpotX = 12, HotSpotY = 12, ActionX = 12, ActionY = 12},
	Path.."Moving Bouncer_0_stopped_1.png",
	Path.."Moving Bouncer_0_stopped_2.png",
	Path.."Moving Bouncer_0_stopped_3.png",
	Path.."Moving Bouncer_0_stopped_4.png",
}

events.global["NewTemplate"..TemplateIndex] = function(o)
	local o = Objects.new(10, 8, tpl.BaseX, tpl.BaseY, tpl.Layer)
	overlay(tpl, o)
	local pieces = {tpl, o}
	tpl.Pieces, o.Pieces = pieces, pieces
	o:event("Timer", function()
		local PlayerX, EnemyX = Objects.PlayerVisiblePos:GetX(), o:GetX()
		if (PlayerX > EnemyX and GetTick() % Delay < 1 or o:OverlapsObstacle()) and not o:OverlapsObstacle(2, 0) then
			o:SetX(EnemyX + 1)
			o:Update()
		elseif (PlayerX < EnemyX and GetTick() % Delay < 1 or o:OverlapsObstacle()) and not o:OverlapsObstacle(-2, 0) then
			o:SetX(EnemyX - 1)
			o:Update()
		end
		if o:GetValue(3) < 0 and o:OverlapsObstacle(0, math.floor(o:GetValue(3))) and not o:OverlapsObstacle() then
			o:SetValue(3, -o:GetValue(3)*0.65)
		end
	end)
end
