--[[--------------------------------------------------------------------------------------------------------------

Spikes that are always visible

Template object by Sergey "GrayFace" Rozhenko, uses graphics of 6:10-13 spikes by Nifflas

Takes no Parameters. Replaces standard spikes.

Returns:
1) A table with "On" field. You can set On to false when you don't want standard spikes replaced.

--]]--------------------------------------------------------------------------------------------------------------

local Path = path.dir(debug.FunctionFile(1))

local IsOn = {On = true}
local TemplateIndex
function events.global.CanCreateObject(t, st, x, y, z)
	if t == 6 and st >= 10 and st <= 13 and IsOn.On then
		CanCreateObject = false
		local spike
		if TemplateIndex then
			spike = Objects.new(254, TemplateIndex, x, y, z)
		else
			spike = Objects.NewGlobalTemplate(x, y, z)
			TemplateIndex = spike.Obj
			for i = 1, 4 do
				spike:LoadFrame{Path.."Spikes "..i..".png", Frame = i - 1, TransparentColor = 0}
			end
		end
		spike.DoesHurt = 1
		spike:SetAnimationFrame(st - 10)
	end
end

return IsOn
